org.eclipse.ease.lang.unittest.runtime

## Interface IStackTraceContainer

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  IMetadata, ITest, ITestClass, ITestResult

All Known Implementing Classes:
  Metadata, StackTraceContainer, Test, TestClass, TestResult

    public interface IStackTraceContainer
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Stack Trace Container'.

The following features are supported:

- `Stack Trace`

See Also:
  `IRuntimePackage.getStackTraceContainer()`

### Method Summary

All Methods Instance Methods Abstract Methods
`ScriptStackTrace` `getStackTrace()` Returns the value of the 'Stack Trace' attribute.
`void` `setStackTrace(ScriptStackTrace value)` Sets the value of the '`Stack Trace`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getStackTrace

    ScriptStackTrace getStackTrace()

Returns the value of the 'Stack Trace' attribute.

If the meaning of the 'Stack Trace' attribute list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Stack Trace' attribute.
See Also:
  `setStackTrace(ScriptStackTrace)`, `IRuntimePackage.getStackTraceContainer_StackTrace()`

#### setStackTrace

    void setStackTrace(ScriptStackTrace value)

Sets the value of the '`Stack Trace`' attribute.

Parameters:
  `value` - the new value of the 'Stack Trace' attribute.
See Also:
  `getStackTrace()`